MediaWiki:Mobile.css:修订间差异

imported>=海豚=
无编辑摘要
top:​bad link repair, replaced: hmoegirl.com → hmoegirl.info
 
(未显示3个用户的57个中间版本)
第1行: 第1行:
/* 放置于这里的CSS将影响使用移动版网站的用户 */
/* 放置于这里的CSS将影响使用移动版网站的用户 */
/* 标题样式调整*/
html>body.skin-minerva .content .mw-parser-output>h2::before,
html>body.skin-minerva .content .section-heading::before {
    content: "#";
    display: block;
    user-select: none;
    color: #ffa92f;
    background-color: #ffa92f;
    position: absolute;
    top: .6em;
    width: 6px;
    overflow: hidden;
}
html>body.skin-minerva .content .mw-parser-output > h2 .indicator, .content .section-heading .indicator {
    margin-left: 1em;
}
/* 链接样式 */
/* 链接样式 */
a:hover {
a:hover {
text-decoration: none;
    text-decoration: none;
}
}
a, a:visited {
a, a:visited {
     text-decoration: none;
     text-decoration: none;
     color: #3366cc;
     color: #3366cc;
}
/* 社群推荐背景样式 */
#mp-banner {
    background-image: url(https://www.hmoegirl.com/images/0/09/80468767.jpg);
}
/* 黑幕 */
.heimu,
.heimu a,
a .heimu,
.heimu a.new {
    background-color: #252525;
    color: #252525;
    text-shadow: none;
}
.heimu:hover,
.heimu:active,
.heimu:hover .heimu,
.heimu:active .heimu {
    color: white !important;
}
.heimu:hover a,
a:hover .heimu,
.heimu:active a,
a:active .heimu {
    color: lightblue !important;
}
.heimu:hover .new,
.heimu .new:hover,
.new:hover .heimu,
.heimu:active .new,
.heimu .new:active,
.new:active .heimu {
    color: #BA0000 !important;
}
}
/* 目录样式 */
/* 目录样式 */
第45行: 第28行:
     background-color: #F5F5F5 !important;
     background-color: #F5F5F5 !important;
     border: solid 0px transparent !important;
     border: solid 0px transparent !important;
     border-left: 4px solid #f4c430 !important;
     border-left: 4px solid #ffa92f !important;
}
/* 社群推荐背景样式 */
#mp-banner {
    background-image: url(https://www.hmoegirl.info/images/0/09/80468767.jpg);
}
}
/* 页顶提示模板相关 */
/* 页顶提示模板相关 */
第86行: 第73行:
/* info类模板 */
/* info类模板 */
.infobox {
.infobox {
  float: middle;
  clear: middle;
   margin:0 auto;
   margin:0 auto;
   box-shadow: 0 1px 3px rgba(0, 0, 0, 0.04), 0 1px 2px rgba(0, 0, 0, 0.10);
   background: rgba(251,251,251,0.7);
  border-radius: 5px;
  overflow: hidden;
  border: 0.5px solid #ddd;
}
}
.infobox2 {
.infotemplatebox {
   padding: 0.2em;
   padding: 0.2em;
   float: middle;
   float: middle;
   clear: middle;
   clear: middle;
  border-radius: 4px;
   background: rgba(251,251,251);
   background: rgba(251,251,251);
}
}
.infoBoxTitle {
/* 编辑区样式 */
     margin: 3px auto;
.mw-editTools {
    padding: 0;
     display: none!important;
    text-align: center;
    font-weight: 700;
}
}
.infoBoxIcon {
#wpSummaryLabel > div > span > label{
     display: table-cell;
     display:none;
    padding: 2px 0 2px .5em;
    vertical-align: middle;
}
}
.infoBoxText {
.CodeMirror-gutter-elt{
     display: table-cell;
     display: none;
    padding: .25em .5em .25em 1.3em;
    width: 100%;
    vertical-align: middle;
}
}
.infoBoxContent {
.CodeMirror-gutters {
  padding: 0.6em;
    display: none;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  border-radius: 5px;
  overflow: hidden;
  border: 1px solid #ddd;
  background: rgba(251,251,251);
}
}
.infoBoxBelow {
.content .collapsible-heading .edit-page {
    margin: 0 auto;
     visibility: inherit!important;
    padding: 0;
    text-align: center;
}
.infoBoxYellow {
  padding: 0.5em;
  background: rgba(255,255,245);
}
.infoBoxRed {
  padding: 0.5em;
  background: rgba(258,240,245);
}
.infoBoxBlue {
  padding: 0.4em;
  background: rgba(240,248,255);
}
.infoBoxPurple {
  padding: 0.4em;
  background: rgba(248,248,255);
}
.infoBoxGreen {
  padding: 0.5em;
  background: rgba(245,255,250);
}
.infoBoxOrange {
  padding: 0.5em;
  background: rgba(250,240,230);
}
/*热门评论*/
.comment-container-top>div:not(.comment-thread) {
     background-color: #f4c430 !important;
    color: white !important;
    font-weight: bolder !important;
}
.comment-thread.comment-popular {
    background-color: #FEF6E0 !important;
}
/* 评论边距 */
.comment-container-top,
.comment-container {
margin-left: 2% !important;
margin-right: 2% !important;
}
/* 隐藏用户评论头像 */
.comment-avatar {
    display: none !important;
}
.comment-body {
    padding-left: 15px !important;
}
.comment-thread .comment-thread {
    margin-left: 35px !important;
}
.comment-thread > div:not(:first-child) .comment-body {
    padding-left: 0px !important;
}
/* 隐藏无用按钮 */
#page-secondary-actions {
    display: none;
}
/* 编辑区样式 */
.my-buttons {
    padding: .5em;
}
.my-buttons a {
    text-decoration: none;
    border: 1px #069 outset;
    padding: .1em;
}
.my-buttons a:hover,
.my-buttons a:active {
    border-style: inset;
}
.ve-ui-mwSaveDialog-summaryLabel {
    display: none;
}
}
/* 表格优化 */
/* 表格优化 */
table.wraptable {
table.wraptable {
  white-space: normal;
    white-space: normal;
}
}/*
.content table{
.content table {
     display: table;
     display: table;
}
}*/
/* 修复单元格莫名空行 */
/* 修复单元格莫名空行 */
td {
td {
第283行: 第182行:
#content.content table.wikitable {
#content.content table.wikitable {
     border: none;
     border: none;
}
/* Ruby 模板 */
rb[data-id="template-ruby"]::before {
    content: "";
}
rb[data-id="template-ruby"]::before,
.template-ruby-hidden {
    display: inline-block;
    width: 0;
    font-size: 0;
}
}
/* 大家族模板 */
/* 大家族模板 */
.navbox th,
.navbox th,
.navbox-group {
.navbox-group {
     background: #a5e4a5;
     background: #a5e4a5;
}
}
/* 来个高优先级的 */
body .content .navbox {
body .content .navbox {
     display: table !important;
     display: table !important;
}
}
.navbox .content table {
.navbox .content table {
     width: 100% !important;
     width: 100% !important;
}
}
.navbox {
.navbox {
     border: 1px solid #aaa;
     border: 1px solid #aaa;
     clear: both;
     clear: both;
第312行: 第200行:
     text-align: center;
     text-align: center;
     width: 100%;
     width: 100%;
    background: #fdfdfd;
    font-size: 97% !important;
}
.navbox-subgroup {
    background: #fdfdfd;
}
.navbox-title {
    border-radius:0 !important;
}
}
.navbox-group {
.navbox-group {
     white-space: nowrap;
     white-space: nowrap;
}
}
.navbox table {
.navbox table {
    width: 100% !important;
     margin: 0 !important;
     margin: 0 !important;
}
}
.navbox-subgroup .navbox-group {
.navbox-subgroup .navbox-group,
.navbox-abovebelow {
     background: #e6f6e6;
     background: #e6f6e6;
}
.navbox-title>div:first-of-type {
    display: none;
}
}
/* Fix by case : Rev 1327309 ([[Special:Permalink/1327309]])
/* Fix by case : Rev 1327309 ([[Special:Permalink/1327309]])
     Address alignment issue of nested tabs in Navbox */
     Address alignment issue of nested tabs in Navbox */
.navbox .TabLabel {
.navbox .TabLabel {
     text-align: left;
     text-align: left;
}
}
@media screen and (max-width: 640px) {
@media screen and (max-width: 640px) {
    .navbox-group {
    .navbox-group,
    .navbox-list,
    .navbox-title {
         display: block;
         display: block;
        width: 100% !important;
        box-sizing: border-box;
     }
     }
    .navbox-group+* {
    .navbox-group+* {
        display: block;
         border-left: 0 !important;
        width: 100%;
         border-top: 2px solid #fdfdfd;
         border-left: 1em solid #a5e4a5 !important;
         padding-left: 3px !important;
        padding-top: 3px !important;
        box-sizing: border-box;
     }
     }
    .navbox-subgroup .navbox-group+* {
    .navbox td[rowspan] {
         border-left: 1em solid #e6f6e6 !important;
         display: none;
     }
     }
}
}